version: "3"
services:
  postgres:
    image: postgres
    ports:
      - "5432:5432"
    volumes:
      - "postgres:/var/lib/postgresql/data"
    environment:
      - "POSTGRES_DB=postgres"
      - "POSTGRES_USER=user"
      - "POSTGRES_PASSWORD=pass"

  mongodb_container:
    image: mongo:latest
    # environment:
    #   MONGO_INITDB_ROOT_USERNAME: root
    #   MONGO_INITDB_ROOT_PASSWORD: rootpassword
    ports:
      - 27017:27017
    volumes:
      - mongodb_data_container:/data/db

volumes:
  postgres:
  mongodb_data_container:
